> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create External Resolver



## OpenAPI

````yaml /openapi.json post /external-resolvers
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /external-resolvers:
    post:
      tags:
        - External Resolver
        - External Resolver
      summary: Create External Resolver
      operationId: createExternalResolver
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExternalResolverDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateExternalResolverDto:
      type: object
      properties:
        href:
          type: string
          description: The href of the External Resolver.
        pattern:
          type: string
          description: The pattern of the External Resolver.
        qualifier:
          type: string
          description: The qualifier of the External Resolver.
        childExternalResolvers:
          description: The creation data of the External Resolver.
          type: array
          items:
            type: string
      required:
        - href
        - pattern
        - qualifier
        - childExternalResolvers

````